<template>
  <div id="movie-item">
    <div class="film-poster">
      <img
        width="300"
        :src="`http://image.tmdb.org/t/p/w300${film.poster_path}`"
      />
      <div class="film-title">
        <p>{{ film.title }}</p>
      </div>
      <div>
        <input
          class="btnView"
          type="button"
          value="View"
          @click="singleMovie(film.id)"
        />
      </div>
      <div>
        <button class="btnHeart" @click="clickOnHeart()">
          <span class="heartBtn" v-html="isClicked ? heartBlack : heart"></span>
        </button>
      </div>
    </div>
  </div>
</template>

<script>
    import store from "@/store";
    import {mapState, mapActions} from 'vuex'

export default {
  name: "MovieItem",
  data() {
    return {
      heart: '<i class="fa fa-heart-o"></i>',
      heartBlack: '<i class="fa fa-heart"></i>',
      isClicked: false
    };
  },
    created() {
      this.isClicked  = this.$store.getters['my/isFilm'](this.film.id)
    } ,
  props: {
    film: {
      type: Object,
      required: true
    }
  },
  methods: {
    singleMovie(id) {
      this.$router.push("/movie/" + id);
    },
    clickOnHeart() {
        this.isClicked = !this.isClicked;
        store.dispatch("my/addOrRemoveFilm",this.film)
    }
  }
};
</script>

<style scoped>
.film-poster {
  display: inline-block;
  background: #1c2029;
  border-radius: 10%;
}
.film-title {
  color: #dcdcdc;
}
.btnView:focus,
.btnView:active,
.btnView {
  outline: none;
  border: 0;
  background: transparent;
  color: darkorchid;
}
.heartBtn:focus,
.heartBtn:active,
.heartBtn {
  outline: none;
  border: 0;
  background: #1c2029;
  color: darkorchid;
  padding: 0;
  margin: 0px 0px 0px -7px;
}
.btnHeart {
  outline: none;
  padding: 0;
  border: 0;
  width: 0;
  text-align: center;
}
</style>
